/* ============================
   XL - max-width: 1399.98px
   ============================ */
@media (max-width: 1399.98px) {

    .about-us-banner,
    .about-us-card,
    .about-us-team-slider,
    .about-us-recognition,
    .about-us-numbers,
    .service-single-banner,
    .ervice-single-article,
    .service-single-optimize,
    .service-single-qa,
    .service-single-content .home-news,
    .contact-us-hero,
    .contact-us-content .home-partners,
    .result-single-banner,
    .result-single-overview,
    .result-single-service,
    .result-single-qa,
    .result-single-conclusion,
    .result-single-squad {
        padding: 6.75rem 0;
    }

    .blog-banner__heading,
    .service-banner,
    .blog-articles {
        padding: 6.7rem 0;
    }

    .blog-single-post {
        padding: 3.75rem 0;
    }

    .blog-single-banner h1 {
        font-size: 60px;
    }

    .contact-us-banner h2,
    .blog-banner__heading h1 {
        font-size: 3.9rem;
    }

    .service-banner h1 {
        font-size: 3.8rem;
    }

    .service-banner h2,
    .blog-tag-result h2,
    .blog-article-subscribe__container h2,
    .blog-articles h2 {
        font-size: 1.8rem;
    }

    .service-banner p {
        font-size: 1.25rem;
    }

    .footer-see-more h2 {
        font-size: 30px;
    }

    .home-banner__header {
        max-width: 90%;
        font-size: 3.9rem;
    }

    .home-banner__description,
    .start-up__description {
        max-width: 80%;
    }

    .logo-image {
        width: 80%;
    }

    .home-partners__card {
        min-height: 700px;
    }

    .home-qa__partners-container .partner-logo {
        width: 18%;
    }

    .home-qa__qa h3 {
        font-size: 2.8rem;
    }

    .home-qa__container {
        gap: 120px;
        padding: 120px 70px;
    }

    .home-news h2 {
        max-width: 60%;
        padding: 0;
    }

    .card-container {
        padding: 0;
    }

    .footer-contact-us-banner {
        padding: 80px 40px;
    }

    .contact-us-banner {
        padding: 120px 80px;
    }

    .contact-us-banner img {
        width: 36.625rem;
        right: -16rem;
        top: -1rem;
    }

    .footer-subcription__container {
        padding: 60px;
    }

    .footer-subcription__container h2 {
        font-size: 2.8rem;
        max-width: 80%;
    }

    .figure-1 {
        right: -12%;
    }

    .figure-2 {
        left: -12%;
    }

    .home-qa .cube-1 {
        top: 1rem;
        right: -8rem;
    }
}

/* ============================
   LG - max-width: 1199.98px
   ============================ */
@media (max-width: 1199.98px) {

    .lower-card {
        height: auto;
    }

    .result-banner,
    .result-section,
    .result-section {
        padding: 6rem 0;
    }

    .about-us-banner,
    .about-us-card,
    .about-us-team-slider,
    .about-us-recognition,
    .about-us-numbers {
        padding: 6.75rem 0;
    }

    .about-us-banner h2,
    .about-us-card h2,
    .about-us-team-slider h2,
    .about-us-recognition h2,
    .about-us-numbers h2 {
        font-size: 2.6rem;
    }

    .about-us-banner h1 {
        font-size: 108px;
    }

    .defining-card span {
        font-size: 34px;
    }

    .blog-banner__heading,
    .service-banner,
    .blog-articles {
        padding: 6rem 0;
    }

    .blog-single-banner h1 {
        font-size: 53px;
    }

    .service-banner h1 {
        font-size: 3.55rem;
    }

    .service-banner h2 {
        font-size: 1.5rem;
    }

    .service-banner p {
        font-size: 1.25rem;
    }

    .home-banner__header,
    .contact-us-banner h2,
    .blog-banner__heading h1 {
        font-size: 3.55rem;
    }

    .home-banner__description,
    .start-up__description {
        font-size: 1.8rem;
    }

    .graph-header,
    .home-service__header,
    .home-partners__header h2,
    .home-slider__header h2,
    .home-qa__qa h3,
    .home-news h2,
    .footer-subcription__container h2 {
        font-size: 2.6rem;
    }

    .home-qa__container {
        gap: 120px;
        padding: 120px 20px;
    }

    .contact-us-banner {
        padding: 120px 40px;
    }

    .contact-us-banner h2 {
        max-width: 70%;
    }

    .contact-us-banner img {
        width: 36.625rem;
        right: -20rem;
        top: 15rem;
    }

    .post__subscribe,
    .post__sign-up {
        width: 100%;
    }

    /* Mobile navbar */
    .navbar__menu-container {
        position: fixed;
        top: 100px;
        left: -200%;
        height: 100%;
        width: 100%;
        display: flex;
        justify-content: center;
        align-items: start;
        background: var(--color-black-1);
        transition: all 0.3s ease-in-out;
    }

    .navbar__menu-container.--visible {
        left: 0;
    }

    .navbar__menu-container .navbar__menu {
        flex-direction: column !important;
        width: 100%;
        gap: 0 !important;
    }

    .navbar__menu-container .navbar__menu-item {
        width: 100%;
        display: flex;
        padding: 20px;
        border-top: 2px solid var(--color-white-1);
        flex-direction: column;
        align-items: start;
    }

    .navbar__menu-container .navbar__menu-item:last-child {
        height: auto !important;
        padding: 40px 20px 0px !important;
        justify-content: center;
    }

    .navbar__menu-container .navbar__menu-item .link__dropdown {
        justify-content: space-between !important;
        width: 100%;
    }

    .dropdown-menu {
        display: none;
        position: relative;
        background-color: var(--color-black-1);
        border: unset;
        width: 100%;
    }

    .dropdown-item {
        width: 100%;
        display: flex;
        flex-direction: column;
        align-items: start;
    }


    .figure-1 {
        width: 20rem;
        top: 70%;
    }

    .figure-2 {
        width: 20rem;
    }

    .home-qa .cube-1 {
        top: 1rem;
        right: -8rem;
    }
}

/* ============================
   MD-LG - max-width: 1024px
   ============================ */
@media (max-width: 1024px) {

    .defining-card p {
        font-size: 25px;
    }

    .blog-single-banner h1 {
        font-size: 46px;
    }

    .service-banner h1 {
        font-size: 3.55rem;
    }

    .service-banner h2 {
        font-size: 1.5rem;
    }

    .service-banner p {
        font-size: 1.25rem;
    }
}

/* ============================
   MD - max-width: 991.98px
   ============================ */
@media (max-width: 991.98px) {

    .result-single-banner .result-section__number-container {
        padding: 20px 10px;
    }

    .contact-us-hero__form {
        width: 100%;
    }

    .service-single-optimize__card {
        padding: 50px 30px;
    }

    .about-us-banner,
    .about-us-card,
    .about-us-team-slider,
    .about-us-recognition,
    .about-us-numbers,
    .service-single-banner,
    .ervice-single-article,
    .service-single-optimize,
    .service-single-qa,
    .service-single-content .home-news,
    .contact-us-hero,
    .contact-us-content .home-partners,
    .result-single-banner,
    .result-single-overview,
    .result-single-service,
    .result-single-qa,
    .result-single-conclusion,
    .result-single-squad {
        padding: 5.25rem 0;
    }

    .about-us-banner h2,
    .about-us-card h2,
    .about-us-team-slider h2,
    .about-us-recognition h2,
    .about-us-numbers h2 {
        font-size: 40px;
    }

    .about-us-banner h1 {
        font-size: 92px;
    }

    .about-us-card .defining-card {
        height: auto;
        padding: 28px;
    }

    .defining-card p {
        font-size: 20px;
    }

    .defining-card span {
        font-size: 34px;
    }

    .swiper-slide-team {
        height: 400px;
    }

    .blog-banner__heading,
    .service-banner,
    .blog-articles {
        padding: 5.25rem 0;
    }

    .blog-tag-result .news-card__header,
    .blog-articles .news-card__header {
        flex: 0 0 200px;
    }

    .blog-tag__card-container .news-card {
        height: 300px;
    }

    .blog-tag__card-container .news-card__header {
        flex: 0 0 50%;
    }

    .blog-tag__card-container .news-card__footer {
        flex-direction: column;
    }

    .blog-banner__search-input-container {
        padding: 15px 30px;
        border-left: unset;
        width: 50%;
    }

    .blog-banner__search-input-container input {
        font-size: 20px;
        padding: 6px;
        width: 100%;
    }

    .blog-banner__search-input-container button i {
        font-size: 20px;
    }

    .service-banner h1 {
        font-size: 2.9rem;
    }

    .service-banner h2 {
        font-size: 1.5rem;
        text-align: center;
        margin-top: 10px;
    }

    .service-banner p {
        text-align: center;
        margin-bottom: 10px;
    }

    .home-banner__header,
    .contact-us-banner h2,
    .blog-banner__heading h1 {
        font-size: 3rem;
    }

    .home-banner {
        padding: 5.5rem 0;
    }

    .home-graph {
        padding: 5.25rem 0;
    }

    .graph-header,
    .home-service__header,
    .home-partners__header h2,
    .home-slider__header h2,
    .home-qa__qa h3,
    .home-news h2,
    .footer-subcription__container h2,
    .contact-us-banner h2 {
        font-size: 2.4rem;
    }

    .slide-card__text h3,
    .blog-article-subscribe__container h2,
    .blog-article-subscribe__container h2 .special-text {
        font-size: 1.75rem;
    }

    .--bg-gardient-1 {
        background: var(--color-gardient-reverse-1);
    }

    .--bg-gardient-2 {
        background: var(--color-gardient-reverse-2);
    }

    .--bg-gardient-3 {
        background: var(--color-gardient-reverse-3);
    }

    .home-qa__container {
        gap: 80px;
        padding: 80px 20px;
    }

    .home-qa__partners,
    .home-qa__top-tier {
        padding: 40px;
    }

    .home-qa__partners-container {
        gap: 30px;
    }

    .home-qa__partners-container .partner-logo {
        width: 20%;
    }

    .home-news h2 {
        max-width: 100%;
    }

    .news-card__header {
        flex: 0 0 350px;
    }

    .footer-see-more .news-card__header {
        flex: 0 0 200px;
    }

    .contact-us-banner {
        height: auto;
        padding: 80px 40px;
    }

    .contact-us-banner h2 {
        max-width: 100%;
    }

    .contact-us-banner img {
        width: 11.75rem;
        right: -5rem;
        top: unset;
        bottom: -5rem;
    }

    .footer-subcription__container {
        padding: 60px 0;
    }

    .footer-links .container {
        padding: 0;
    }

    .footer-links .container .row {
        position: unset;
        padding-bottom: 0;
    }

    .footer-links .container .row::after {
        background: var(--color-transparent);
    }

    .footer-contact-logo .sphere {
        left: -12rem;
    }

    .graph-image-container {
        height: auto;
    }
}

/* ============================
   SM - max-width: 767.98px
   ============================ */
@media (max-width: 767.98px) {

    .result-single-banner__info p {
        max-width: 100%;
    }

    .about-us-banner,
    .about-us-card,
    .about-us-team-slider,
    .about-us-recognition,
    .about-us-numbers,
    .service-single-banner,
    .ervice-single-article,
    .service-single-optimize,
    .service-single-qa,
    .service-single-content .home-news,
    .contact-us-hero,
    .contact-us-content .home-partners,
    .result-single-banner,
    .result-single-overview,
    .result-single-service,
    .result-single-qa,
    .result-single-conclusion,
    .result-single-squad {
        padding: 4.5rem 0;
    }


    .about-us-banner h2,
    .about-us-card h2,
    .about-us-team-slider h2,
    .about-us-recognition h2,
    .about-us-numbers h2 {
        font-size: 40px;
    }

    .about-us-banner h1 {
        font-size: 76px;
        line-height: 80px;
    }

    .about-us-card .defining-card {
        height: auto;
        padding: 28px;
    }

    .about-us-numbers .home-service__card h2 {
        font-size: 60px;
    }

    .defining-card p {
        font-size: 20px;
        line-height: 25px;
    }

    .defining-card span {
        font-size: 34px;
    }

    .swiper-slide-team {
        height: 400px;
    }

    .blog-banner__heading,
    .service-banner,
    .blog-articles {
        padding: 4.5rem 0;
    }

    .blog-single-banner h1 {
        font-size: 40px;
        line-height: var(--line-height-2);
    }

    .blog-banner__heading h1 {
        line-height: var(--line-height-2);
    }

    .blog-single-author .author-avatar {
        height: 76px;
        width: 76px;
        min-height: 76px;
        min-width: 76px;
    }

    .blog-banner__search .dropdown {
        width: 100%;
    }

    .blog-banner__search-input-container {
        width: 100%;
    }

    .blog-article-subscribe__container {
        padding: 60px;
    }

    .blog-tag__card-container .news-card {
        height: 500px;
    }

    .blog-tag__card-container .news-card__header,
    .blog-tag-result .news-card__header,
    .blog-articles .news-card__header {
        flex: 0 0 50%;
    }

    .service-banner h1 {
        font-size: 2.85rem;
    }

    .service-single-content .news-card {
        height: unset;
    }

    .slide-card__text h3,
    .blog-article-subscribe__container h2,
    .blog-article-subscribe__container h2 .special-text,
    .service-banner h2 {
        font-size: 1.6rem;
    }

    .service-banner p {
        text-align: center;
        margin-bottom: 10px;
    }

    .home-banner,
    .home-graph,
    .home-service,
    .home-partners,
    .home-slider,
    .home-news {
        padding: 3rem 0;
    }

    .home-graph {
        min-height: 600px;
    }

    .home-banner__header,
    .contact-us-banner h2,
    .blog-banner__heading h1 {
        font-size: 2.6rem;
    }

    .home-banner__description,
    .start-up__description {
        font-size: 1.5rem;
        max-width: 100%;
        padding: 0 20px;
    }

    .graph-header,
    .home-service__header,
    .home-partners__header h2,
    .home-slider__header h2,
    .home-qa__qa h3,
    .home-news h2,
    .footer-subcription__container h2,
    .contact-us-banner h2 {
        font-size: 2rem;
    }

    .home-qa__partners h2,
    .home-qa__top-tier h2 {
        font-size: 1.3rem;
    }

    .home-service__card {
        height: auto;
        padding: 20px;
    }

    .home-service__card p {
        line-height: var(--line-height-4);
    }

    .slider-slide-plan {
        min-height: 300px;
        height: auto;
        padding: 50px 20px;
    }

    .home-qa__partners,
    .home-qa__top-tier {
        padding: 30px;
    }

    .home-qa__partners-container .partner-logo {
        width: 45%;
    }
}

/* ============================
   XS - max-width: 575.98px
   ============================ */
@media (max-width: 575.98px) {

    .contact-us-hero__form {
        padding: 20px;
        min-width: unset;
    }

    .result-banner,
    .result-section,
    .result-section {
        padding: 60px 20px;
    }

    .service-single-optimize__card {
        padding: 20px;
    }

    .about-us-banner,
    .about-us-card,
    .about-us-team-slider,
    .about-us-recognition,
    .about-us-numbers,
    .service-single-banner,
    .ervice-single-article,
    .service-single-optimize,
    .service-single-qa,
    .service-single-content .home-news,
    .contact-us-hero,
    .contact-us-content .home-partners,
    .result-single-banner,
    .result-single-overview,
    .result-single-service,
    .result-single-qa,
    .result-single-conclusion,
    .result-single-squad {
        padding: 3.75rem 0;
    }

    .about-us-banner h2,
    .about-us-card h2,
    .about-us-team-slider h2,
    .about-us-recognition h2,
    .about-us-numbers h2 {
        font-size: 40px;
    }

    .about-us-banner h1 {
        font-size: 60px;
        line-height: 65px;
    }

    .about-us-card .defining-card {
        height: auto;
        padding: 28px;
    }

    .about-us-numbers .home-service__card h2 {
        font-size: 60px;
    }

    .defining-card p {
        font-size: 20px;
    }

    .defining-card span {
        font-size: 34px;
    }

    .swiper-slide-team {
        height: 400px;
    }

    .blog-banner__heading,
    .service-banner,
    .blog-articles {
        padding: 2.5rem 0;
    }

    .blog-tag-result {
        padding-left: 20px;
        padding-right: 20px;
    }

    .blog-tag-result .news-card__header,
    .blog-articles .news-card__header {
        flex: 0 0 200px;
    }

    .blog-banner__search {
        padding: 0 20px;
    }

    .service-banner h1 {
        font-size: 2.2rem;
        line-height: var(--line-height-2);
    }

    .service-banner h2 {
        font-size: 1.3rem;
        line-height: var(--line-height-6);
    }

    .service-banner p {
        text-align: center;
        margin-bottom: 10px;
    }

    .home-banner,
    .home-graph,
    .home-service,
    .home-partners,
    .home-slider,
    .home-news {
        padding: 3rem 10px;
    }

    .home-banner {
        min-height: unset;
        height: auto;
        gap: 100px;
        margin-bottom: unset;
    }

    .graph-header,
    .home-banner__header,
    .home-service__header,
    .home-partners__header h2,
    .home-slider__header h2,
    .home-news h2,
    .home-qa__qa h3,
    .footer-subcription__container h2 {
        font-size: 1.8rem;
        line-height: var(--line-height-2);
    }

    /* contact-us-banner h2 overrides the group above */
    .contact-us-banner h2,
    .slide-card__text h3 {
        font-size: 1.3rem;
    }

    .home-qa__partners h2,
    .home-qa__top-tier h2 {
        font-size: 1.3rem;
    }

    .home-qa__partners-container .partner-logo {
        width: 35%;
    }

    .home-qa__qa .accordion {
        --bs-accordion-btn-padding-x: 15px;
        --bs-accordion-body-padding-x: 15px;
    }

    .news-card__header {
        flex: unset;
    }

    .footer-contact-us-banner {
        padding: 80px 20px;
    }

    .contact-us-banner {
        padding: 80px 20px;
    }

    .footer-subscribe {
        padding: 0 20px;
    }

    .footer-links {
        padding: 80px 20px;
    }

    .footer-contact__icons {
        padding: 0 20px;
    }

    .footer-contact__icons i {
        font-size: 30px;
    }

    .footer-contact-logo {
        padding-bottom: 40px;
    }
}